Skip to main content
PUT
/
subscriptions
/
{id}
/
cancel
Cancel subscription
curl --request PUT \
  --url https://api.truust.io/2.0/subscriptions/{id}/cancel \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "self": "<string>",
  "reference_id": "<string>",
  "name": "<string>",
  "amount": 123,
  "currency": "EUR",
  "type": "<string>",
  "status": "CREATED",
  "metadata": {},
  "published_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

id
integer
required

Response

Subscription cancelled

id
integer
self
string
reference_id
string | null
name
string
amount
number
currency
string
Example:

"EUR"

type
string

Payment method type for this subscription.

status
enum<string>
Available options:
CREATED,
ACTIVE,
CANCELLED,
EXPIRED
metadata
object
published_at
string<date-time> | null
cancelled_at
string<date-time> | null
connections
object

Hypermedia links to related resources.